# Max number of actor slots in the menu / actors in the party
MAX_CHARACTERS = 4

# Menu options - remove or change order at will
MENU_OPTIONS = [
  ITEMS,
  SKILLS,
  EQUIP,
  STATUS,
  PARTY,
  BIO,
  SAVE,
  EXIT
]

# Types of information displayed in the bottom bar
BAR_INFOS = [
  GOLD,
  LOCATION,
  TIME
]

# How many frames it will take for a menu scene to fade in/out
FRAMES_FADE = 40
# How much faster than FRAMES_FADE the black layer should fade in/out
FADE_RATE = 2
# Number of frames to wait before fading into the new scene
LATENCY_INTERSCENE = 20

# Disable system sounds when animations are playing
DISABLE_SOUNDS = true
# Animation ID played upon selecting item (0 for none)
ANIMATION_SELECT = 101
# Animation ID played upon deselecting item (0 for none)
ANIMATION_DESELECT = 0
# Animation ID looping on selected item (0 for none)
ANIMATION_SELECTED = 102
# Animation ID played upon decision (0 for none)
ANIMATION_DECIDE = 103
# Animation ID played upon cancel (0 for none)
ANIMATION_CANCEL = 104
# Animation ID played upon buzzing (0 for none)
ANIMATION_BUZZER = 105

# Default font face
$defaultfonttype = $fontface = $fontname = Font.default_name = "Times New Roman"
# Default font size
$defaultfontsize = $fontsize = Font.default_size = 22