#==============================================================================
# WAVING BUTTONS
# 
# The following code makes buttons wave in the menu. Just remove it to disable
# the effect.
#==============================================================================

class Sprite_Frame < Sprite_Window
  alias mp_wavebutton_initialize initialize
  def initialize(id)
    mp_wavebutton_initialize(id)
    param = {:ywave => [120, 4]}
    @sprite.set_wave(param, 4)
    @sprite_lit.set_wave(param, 4) unless @sprite_lit.bitmap.nil?
    @contents.set_wave(param, 4) unless @contents.bitmap.nil?
  end
end

class Sprite_Button < Sprite_Window
  @@objects = []
  
  alias mp_wavebutton_initialize initialize
  def initialize(text)
    mp_wavebutton_initialize(text)
    param = {:ywave => [120, 4]}
    t = @@objects.size * 20
    @sprite.set_wave(param, 4, t)
    @sprite_lit.set_wave(param, 4, t) unless @sprite_lit.bitmap.nil?
    @contents.set_wave(param, 4, t) unless @contents.bitmap.nil?
    @@objects << self
  end
end